# Notes for developers

## Creating the website

MatConvNet website uses the
[MkDocs documentation system](http://www.mkdocs.org), a simple static
website generator written in Python. In order to setup the necessary
software, follow these steps:

1.  Install MkDocs as explained
    [here](http://www.mkdocs.org/#installation).
2.  Install the
    [MathJax MkDocs extension](https://github.com/mayoff/python-markdown-mathjax). This
    is explained in the `README` file in the extension GitHub
    repository and consists in renaming and copying a file into your
    copy of MkDocs.
3.  Make sure that the `mkdocs` command is executable from the command line, or otherwise
    modify the file `doc/Makefile` in MatConvNet to point to the correct executable.

At this point, the website can be built with `make doc-site` from the
command line. The documentation is created in `doc/site/site` from the
`doc/site/docs/*.md` files.

For developing the website, it is useful to start the MkDocs HTTP server as follows:

    cd doc/site
    mkdocs serve

At this point visit `http://127.0.0.1:8000/` to see a copy of the
current website.

### Creating the MATLAB function pages

The documentation for the MATLAB function is extracted automatically
from the m-files using the `doc/matdoc.py` Python script. This is
called by `doc/Makefile` as needed.

`matdoc.py` does three things: it extracts the function documentation
from a m-file, it interprets it using a pseud-Markdown syntax, and
then it writes the result in Markdown format for use with
MkDocs. These are stored in `doc/site/docs/mfiles`.
