# MatConvNet: CNNs for MATLAB

**MatConvNet** is a MATLAB toolbox implementing *Convolutional Neural
Networks* (CNNs) for computer vision applications. It is simple,
efficient, and can run and learn state-of-the-art CNNs. Several
example CNNs are included to classify and encode images.

*   **Obtaining MatConvNet**
    - Tarball for [version 1.0-beta8](download/matconvnet-1.0-beta8.tar.gz)
    - [GIT repository](http://www.github.com/vlfeat/matconvnet.git)
    - [PDF manual](matconvnet-manual.pdf) (see also MATLAB inline help).

*   **Getting started**
    - [Installation instructions](install)
    - [Using pre-trained models](pretrained)
    - [Training your own models](training)
    - [Working with GPU accelerated code](gpu)

*   **What's new**
    - [Changes](about/#changes)

> **Citing.** If you use MatConvNet in your work, please cite:
> "MatConvNet - Convolutional Neural Networks for MATLAB", A. Vedaldi
> and K. Lenc, arXiv:1412.4564, 2014.
>
>     @article{arXiv:1412.4564,
>          author    = {A. Vedaldi and K. Lenc},
>          title     = {MatConvNet -- Convolutional Neural Networks for MATLAB},
>          journal   = {CoRR},
>          volume    = {abs/1412.4564},
>          year      = {2014},
>     }
